Chromium Code Reviews
Help | Chromium Project | Sign in
(4)

Issue 2748533002: Remove ui_compositor_image_transport, it has no effect. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 weeks, 4 days ago by Nico
Modified:
2 weeks, 1 day ago
Reviewers:
Ken Russell
CC:
chromium-reviews, piman+watch_chromium.org, oshima+watch_chromium.org, davemoore+watch_chromium.org, piman, enne, danakj
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Remove ui_compositor_image_transport, it has no effect. It's been used to add a conditional dep on ui/gl, but we chrome depends on that unconditionally already. It's also been used to call glFinish() under the following conditions in the glResizeCHROMIUM handler: !defined(UI_COMPOSITOR_IMAGE_TRANSPORT) UI_COMPOSITOR_IMAGE_TRANSPORT was always set on Linux and Chrome OS, which means this code only ran on Android, and I'm not sure if we use glResizeCHROMIUM there. BUG=700681 CQ_INCLUDE_TRYBOTS=master.tryserver.chromium.android:android_optional_gpu_tests_rel;master.tryserver.chromium.linux:linux_optional_gpu_tests_rel;master.tryserver.chromium.mac:mac_optional_gpu_tests_rel;master.tryserver.chromium.win:win_optional_gpu_tests_rel Review-Url: https://codereview.chromium.org/2748533002 Cr-Commit-Position: refs/heads/master@{#456746} Committed: https://chromium.googlesource.com/chromium/src/+/81e3d61f4f273627a7fb9d6d7f2bbbc382c95d7e

Patch Set 1 #

Total comments: 1
Unified diffs Side-by-side diffs Delta from patch set Stats (+0 lines, -23 lines) Patch
M build/config/BUILD.gn View 1 chunk +0 lines, -4 lines 0 comments Download
M build/config/ui.gni View 1 chunk +0 lines, -4 lines 0 comments Download
M chrome/browser/BUILD.gn View 1 chunk +0 lines, -3 lines 0 comments Download
M chrome/browser/chromeos/BUILD.gn View 1 chunk +0 lines, -4 lines 0 comments Download
M chrome/browser/ui/BUILD.gn View 1 chunk +0 lines, -3 lines 0 comments Download
M gpu/command_buffer/service/gles2_cmd_decoder.cc View 1 chunk +0 lines, -5 lines 1 comment Download
Trybot results:  chromium_presubmit   linux_chromium_chromeos_rel_ng   ios-simulator   linux_android_rel_ng   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_tsan_rel_ng   linux_chromium_rel_ng   ios-simulator-xcode-clang   android_n5x_swarming_rel   linux_chromium_compile_dbg_ng   mac_chromium_compile_dbg_ng   linux_android_rel_ng   linux_chromium_chromeos_rel_ng   win_chromium_compile_dbg_ng   android_cronet   mac_chromium_rel_ng   android_arm64_dbg_recipe   win_clang   android_optional_gpu_tests_rel   android_clang_dbg_recipe   cast_shell_android   ios-device   cast_shell_linux   chromeos_amd64-generic_chromium_compile_only_ng   mac_optional_gpu_tests_rel   win_optional_gpu_tests_rel   ios-simulator   chromium_presubmit   win_chromium_x64_rel_ng   ios-device-xcode-clang   win_chromium_rel_ng   linux_optional_gpu_tests_rel   android_compile_dbg   chromeos_daisy_chromium_compile_only_ng   linux_chromium_asan_rel_ng   chromium_presubmit   win_chromium_x64_rel_ng   mac_optional_gpu_tests_rel   win_chromium_x64_rel_ng   win_optional_gpu_tests_rel   ios-simulator   win_chromium_x64_rel_ng   win_chromium_rel_ng   chromium_presubmit   mac_optional_gpu_tests_rel   ios-simulator   mac_optional_gpu_tests_rel   win_chromium_x64_rel_ng   win_clang   win_chromium_rel_ng   win_optional_gpu_tests_rel   mac_optional_gpu_tests_rel   mac_chromium_rel_ng   chromium_presubmit   cast_shell_android   chromeos_amd64-generic_chromium_compile_only_ng   android_arm64_dbg_recipe   mac_chromium_compile_dbg_ng   linux_chromium_rel_ng   android_clang_dbg_recipe   android_n5x_swarming_rel   ios-simulator-xcode-clang   ios-device   android_cronet   win_chromium_compile_dbg_ng   linux_optional_gpu_tests_rel   android_optional_gpu_tests_rel   linux_chromium_compile_dbg_ng   chromeos_daisy_chromium_compile_only_ng   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_tsan_rel_ng   linux_android_rel_ng   linux_chromium_chromeos_rel_ng   ios-device-xcode-clang   android_compile_dbg   ios-simulator   cast_shell_linux   linux_chromium_asan_rel_ng 
Commit queue not available (can’t edit this change).

Messages

Total messages: 27 (19 generated)
Nico
The origin of this flag are lost in the mist of time. But it looks ...
2 weeks, 4 days ago (2017-03-11 18:30:01 UTC) #5
Ken Russell
Since the Linux port's been using Aura for a long time now, I suspect that ...
2 weeks, 2 days ago (2017-03-14 03:18:18 UTC) #16
Nico
On 2017/03/14 03:18:18, Ken Russell wrote: > Since the Linux port's been using Aura for ...
2 weeks, 2 days ago (2017-03-14 03:45:40 UTC) #17
Ken Russell
On 2017/03/14 03:45:40, Nico wrote: > On 2017/03/14 03:18:18, Ken Russell wrote: > > Since ...
2 weeks, 2 days ago (2017-03-14 04:14:29 UTC) #18
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2748533002/1
2 weeks, 1 day ago (2017-03-14 14:28:51 UTC) #20
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_chromeos_rel_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_chromeos_rel_ng/builds/382976)
2 weeks, 1 day ago (2017-03-14 16:04:04 UTC) #22
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2748533002/1
2 weeks, 1 day ago (2017-03-14 16:12:59 UTC) #24
commit-bot: I haz the power
2 weeks, 1 day ago (2017-03-14 17:17:49 UTC) #27
Message was sent while issue was closed.
Committed patchset #1 (id:1) as
https://chromium.googlesource.com/chromium/src/+/81e3d61f4f273627a7fb9d6d7f2b...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld cc6ac46